Skip to main content
GET
/
markets
List markets
curl --request GET \
  --url https://api.example.com/markets
{
  "markets": [
    {
      "id": "<string>",
      "eventId": "<string>",
      "question": "<string>",
      "venueMarkets": [
        {
          "id": "<string>",
          "venue": "kalshi",
          "externalIdentifier": "<string>",
          "question": "<string>",
          "venueMarketOutcomes": [
            {
              "id": "<string>",
              "venueMarketId": "<string>",
              "label": "<string>",
              "price": 0.5,
              "externalIdentifier": "<string>",
              "title": "<string>",
              "winner": true
            }
          ],
          "venueEventId": "<string>",
          "description": "<string>",
          "rulesPrimary": "<string>",
          "rulesSecondary": "<string>",
          "conditionId": "<string>",
          "volume": 1,
          "image": "<string>",
          "status": "open",
          "startDate": "<string>",
          "endDate": "<string>",
          "creationDate": "<string>",
          "createdAt": "<string>",
          "settlementSources": [
            {
              "name": "<string>",
              "url": "<string>"
            }
          ],
          "resolutionDate": "<string>",
          "resolvedBy": "<string>",
          "resolutionCriteriaUrl": "<string>",
          "primaryResolutionDomain": "<string>",
          "negRisk": true,
          "matchStatus": "pending",
          "matchType": "manual",
          "matchReason": "<string>",
          "matchConfidence": 0.5
        }
      ],
      "image": "<string>",
      "volume": 1,
      "status": "open",
      "startDate": "<string>",
      "endDate": "<string>",
      "creationDate": "<string>",
      "venueCount": 1
    }
  ],
  "cursor": "<string>"
}

Query Parameters

marketIds
eventId
string
limit
number
Required range: 1 <= x <= 20
cursor
string

Response

200 - application/json

200

markets
object[]
required
cursor
string | null
required